<template>
  <v-container
    text-center
    fluid
    class="px-0 pt-0"
  >
    <v-row v-if="displayVerifiedMessage">
      <v-col>
        <v-snackbar
          v-model="snackbar"
          top
          multi-line
          color="info"
          vertical
        >
          <div>
            {{ $t('snackbar1') }}
            <a :href="$t('profileLink')">
              " {{ $t('myProfile') }} "
            </a>
            {{ $t('snackbar2') }}
          </div>
          <v-btn
            color="info"
            elevation="0"
            @click="snackbar = false"
          >
            <v-icon
              color="primary"
            >
              mdi-close
            </v-icon>
          </v-btn>
        </v-snackbar>
      </v-col>
    </v-row>

    <v-row v-if="displayDeleteAccount">
      <v-col>
        <v-snackbar
          v-model="snackbar"
          top
          multi-line
          color="info"
          vertical
        >
          <div>
            {{ $t('snackbar-account-delete') }}
          </div>
          <v-btn
            color="info"
            elevation="0"
            @click="snackbar = false"
          >
            <v-icon
              color="primary"
            >
              mdi-close
            </v-icon>
          </v-btn>
        </v-snackbar>
      </v-col>
    </v-row>
    <v-row v-if="displayUnsubscribeEmail">
      <v-col>
        <v-snackbar
          v-model="snackbar"
          top
          multi-line
          color="info"
          vertical
        >
          <div>
            {{ displayUnsubscribeEmail }}
          </div>
          <v-btn
            color="info"
            elevation="0"
            @click="snackbar = false"
          >
            <v-icon
              color="primary"
            >
              mdi-close
            </v-icon>
          </v-btn>
        </v-snackbar>
      </v-col>
    </v-row>
    <!-- Title and subtitle -->
    <div
      :style="'background-image:url(\''+$t('urlBackground')+'\');background-size:cover;background-position-y:-8em;height:53em'"
      class="mt-n4"
    >
      <v-row
        justify="center py-16"
      >
        <v-col
          class="white--text title text-center font-weight-bold textIntro mt-6"
          v-html="$t('intro')"
        />
      </v-row>
      <v-row
        align="center"
        justify="center"
        class="py-8"
      >
        <v-col
          cols="12"
          lg="5"
          class="text-center white searchComponent"
        >
          <h1
            v-html="$t('title')"
          />
          <search
            :geo-search-url="geoSearchUrl"
            :geo-complete-results-order="geoCompleteResultsOrder"
            :geo-complete-palette="geoCompletePalette"
            :geo-complete-chip="geoCompleteChip"
            :user="user"
            :regular="regular"
            :punctual-date-optional="punctualDateOptional"
            class-align-publish-button="text-right"
            class-align-search-button="text-left"
            :image-swap="$t('urlImageSwap')"
            full-size
            color-button="primary"
            text-color-button="white--text"
          />
        </v-col>
      </v-row>
    </div>
    <v-row
      align="center"
      class="mt-6"
      justify="center"
    >
      <home-content
        :community-display="communityDisplay"
        :event-display="eventDisplay"
        :url-mobile="mobileUrl"
        :user-id="(user && user.id) ? user.id : null"
      />
    </v-row>
    <m-dialog
      v-if="isEecAvailable" 
      :eec-instance="eecInstance"
    />
  </v-container>
</template>

<script>
import {merge} from "lodash";
import {messages_en, messages_fr, messages_eu} from "@translations/components/home/Home/";
import {messages_client_en, messages_client_fr, messages_client_eu} from "@clientTranslations/components/home/Home/";
import Search from "@components/carpool/search/Search";
import HomeContent from "@clientComponents/home/HomeContent";
import MDialog from "@components/utilities/MDialog";

let MessagesMergedEn = merge(messages_en, messages_client_en);
let MessagesMergedEu = merge(messages_eu, messages_client_eu);
let MessagesMergedFr = merge(messages_fr, messages_client_fr);

export default {
  i18n: {
    messages: {
      'en': MessagesMergedEn,
      'eu': MessagesMergedEu,
      'fr': MessagesMergedFr
    }
  },
  components: {
    Search,
    HomeContent,
    MDialog
  },
  props: {
    geoSearchUrl: {
      type: String,
      default: ""
    },
    user: {
      type: Object,
      default: null
    },
    regular: {
      type: Boolean,
      default: false
    },
    punctualDateOptional: {
      type: Boolean,
      default: false
    },
    debug: {
      type: Boolean,
      default: false
    },
    position: {
      type: String,
      default: ""
    },
    transitionName: {
      type: String,
      default: ""
    },
    solidaryDisplay: {
      type: Boolean,
      default: false
    },
    eventDisplay: {
      type: Boolean,
      default: false
    },
    displayDeleteAccount: {
      type: Number,
      default: 0
    },
    displayUnsubscribeEmail: {
      type: String,
      default: ""
    },
    communityDisplay: {
      type: Boolean,
      default: false
    },
    // params to add to the publish and search routes
    params: {
      type: Object,
      default: null
    },
    additionalTextDisplay: {
      type: Boolean,
      default: false
    },
    urlMobile: {
      type: String,
      default: null
    },
    informativeMessageActive: {
      type: Boolean,
      default: false
    },
    informativeMessageText: {
      type: String,
      default: null
    },
    outlined: {
      type:Boolean,
      default: false
    },
    geoCompleteResultsOrder: {
      type: Array,
      default: null
    },
    geoCompletePalette: {
      type: Object,
      default: () => ({})
    },
    geoCompleteChip: {
      type: Boolean,
      default: false
    },
    eecInstance: {
      type: Object,
      default: () => ({})
    }
  },
  data () {
    return {
      snackbar: true,
      displayVerifiedMessage: false,
      mobileUrl: this.urlMobile

    }
  },
  computed: {
    isEecAvailable() {
      return this.eecInstance && this.eecInstance.available;
    }
  },
  mounted() {
    this.checkVerifiedPhone();
  },
  methods:{
    checkVerifiedPhone() {
      if (this.user !==null && this.user.telephone !== null) {
        this.displayVerifiedMessage = this.user.phoneValidatedDate ? false : true;
      }
    }
  }
};
</script>
<style lang="scss" scoped>
.searchComponent {
  background-color: rgba(255,255,255, 0.8)!important;
  border-radius: 10px;
}

.textIntro {
  text-shadow: 1px 1px #000000;
}
</style>